//Creation Crate - Maker Kit
//Program 2: Fade

//Lines starting with "//" are comments
//They don't change how the code runs, but they help you understand what each line of code is doing

#define LED1 3 //This makes the first LED output use pin 3
#define LED2 5 //Second LED uses pin 5
#define LED3 6 //etc.
#define LED4 9
#define LED5 10
#define LED6 11

#define INCREASING 1 //Causes the brightness to increase
#define DECREASING -1 //Causes the brightness to decrease

int brightness = 0; //This is an integer variable called "brightness". We can set it equal to a number and read it again later, or we can change it at any point.
int fadeSpeed = 50; //This holds the speed at which the brightness changes
int fadeDirection = INCREASING;

void setup() //This code runs once, each time the Uno R3 is plugged in.
{
  pinMode(LED1, OUTPUT);
  pinMode(LED2, OUTPUT);
  pinMode(LED3, OUTPUT);
  pinMode(LED4, OUTPUT);
  pinMode(LED5, OUTPUT);
  pinMode(LED6, OUTPUT);

}

void loop() //This code will repeat infinitely until the Uno R3 is unplugged.
{
  analogWrite(LED1, brightness); //This sets the LED to the brightness level. 0 is off and 255 is full brightness
  analogWrite(LED2, brightness);
  analogWrite(LED3, brightness);
  analogWrite(LED4, brightness);
  analogWrite(LED5, brightness);
  analogWrite(LED6, brightness);

  brightness = brightness + fadeDirection*5; //If fadeDirection is INCREASING, +5 will be added. If fadeDirection is DECREASING, then -5 will be added, causing it to decrease.

  
  if(brightness == 0) //When the LED has reached 0% brightness, start increasing the value instead of decreasing
  {
    fadeDirection = INCREASING;
  }
  if(brightness == 255) //When the LED has reached 100% brightness, start decreasing the value instead of increasing
  {
    fadeDirection = DECREASING;
  }
  
  delay(fadeSpeed); //Pauses for 10 milliseconds (which is one hundreth of a second)
}
